Post by qbsmalta » Thu Jun 25, 2020 10:31 pm

I have a problem when trying to establish a connection with Braintree API.

I am using Opencart version 3.0.2.0 and I have an account with Braintree. When I try to enable the Braintree extension the following message is being shown: "There was a problem establishing a connection to the Braintree API. Please check your Merchant ID, Public Key, Private Key and Environment settings." I verified that the values entered match with the Merchant ID, Public Key and Private Key provided by Braintree. I also tried to create a Braintree sandbox environment and entered the corresponding Merchant ID, Public Key and Private Key, but the same message is shown.

I contacted Braintree regarding this issue I am having. First they told me to verify that values entered are correct. Then when even the sandbox environment did not work as well, they told me that the issue is coming from the cart. They checked some things from their end and confirmed that the Merchant ID is active and fine so the problem is from Opencart since the correct API keys are being used.

To tell you the whole story, I used to have a different set of API keys which were working fine. Then since the website did not have a transaction for a few months, the Braintree API was disabled automatically, so I had to re-apply for a new account with Braintree. This got accepted and a new set of API keys were issued. The problem is now arising when I use the new API keys but Braintree confirmed that the issue is not from their side as explained before.

Anyone encountered this issue before or maybe can provide some help on how to solve this?

Thanks in advance.

Newbie

Posts

Joined
Thu Jun 25, 2020 10:11 pm

Post by straightlight » Thu Jun 25, 2020 10:45 pm

This topic has now been moved to the OpenCart 3.0 Support > General Support section of the forum.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Opencart.com Administrator / Quality Assurance Analyst / Programmer / Opencart Tester


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by paulfeakins » Fri Jun 26, 2020 7:00 pm

qbsmalta wrote:
Thu Jun 25, 2020 10:31 pm
Anyone encountered this issue before or maybe can provide some help on how to solve this?
Who developed the Braintree extension you're using? You should contact them ...

For quick, professional OpenCart support please email info@antropy.co.uk


User avatar
Guru Member

Posts

Joined
Mon Aug 22, 2011 11:01 pm
Location - Reigate, Surrey, United Kingdom

Post by qbsmalta » Fri Jun 26, 2020 7:19 pm

paulfeakins wrote:
Fri Jun 26, 2020 7:00 pm
qbsmalta wrote:
Thu Jun 25, 2020 10:31 pm
Anyone encountered this issue before or maybe can provide some help on how to solve this?
Who developed the Braintree extension you're using? You should contact them ...
Hi paulfeakins, thanks for your post. I am referring to the PayPal (Powered by Braintree) extension which comes by default with the Opencart installation, I did not download it online and install it.

Newbie

Posts

Joined
Thu Jun 25, 2020 10:11 pm

Post by parora24@gmail.com » Fri Jul 03, 2020 1:38 am

I have the same issue...is there any solution ?


Posts

Joined
Tue Jun 16, 2020 1:58 am

Post by Milvet » Wed Jul 15, 2020 4:15 am

Me Too....i get the " There was a problem establishing a connection to the Braintree API.

Newbie

Posts

Joined
Fri Jul 10, 2020 11:34 pm

Post by airbrush » Wed Aug 26, 2020 5:04 pm

did anyone solve this?

New member

Posts

Joined
Fri Mar 18, 2011 5:38 am

Post by qbsmalta » Wed Aug 26, 2020 5:08 pm

I did not manage to solve it. So I decided to use another payment extension called PayPal Commerce Platform which includes payment with a credit/debit card.

Newbie

Posts

Joined
Thu Jun 25, 2020 10:11 pm

Post by khnaz35 » Wed Aug 26, 2020 5:14 pm

airbrush wrote:
Wed Aug 26, 2020 5:04 pm
did anyone solve this?
Are you still facing the issue?

Urgent Questions shoot here: khnaz35@gmail.com
Enjoy nature ;) :) :-*


User avatar
Active Member

Posts

Joined
Mon Aug 27, 2018 11:30 pm
Location - Malaysia

Post by ADD Creative » Thu Aug 27, 2020 12:01 am

See here. viewtopic.php?t=218809#p793235

OpenCart versions less than 3.0.3.5 comes with Braintree SDK 3.2.0. You will need at least version 3.8.0 of the SDK. You need to update the Braintree SDK in the storage/vendor/braintree directory.

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom

Post by airbrush » Thu Aug 27, 2020 1:17 am

can you explain how to do it in laymans terms please?

New member

Posts

Joined
Fri Mar 18, 2011 5:38 am

Post by ADD Creative » Thu Aug 27, 2020 3:41 am

Probably the easiest way is to download a later release at. https://github.com/braintree/braintree_php/releases
3.40.0 is probably best as 4.x could have breaking changes.

Backup your files and database, put into maintenance, etc.

Find your storage/vendor/braintree folder. Rename braintree-php to something like braintree-php-3.2.0.
Extract the new version into the storage/vendor/braintree folder. Rename braintree_php-3.40.0 to braintree-php.

Clear all caches.

The other options would be to upgrade to 3.0.3.5/6 or update via composer. Both likely to give you other errors to fix.

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom
Who is online

Users browsing this forum: No registered users and 29 guests